Bug 1918367 - Manila CSI operator becomes degraded if user doesn't have permissions to list share types
Summary: Manila CSI operator becomes degraded if user doesn't have permissions to list...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Mike Fedosin
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1917587
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-20 14:51 UTC by OpenShift BugZilla Robot
Modified: 2021-02-22 13:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-22 13:54:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift csi-driver-manila-operator pull 88 0 None closed [release-4.6] Bug 1918367: Make Manila operator more tolerant 2021-02-18 01:22:26 UTC
Red Hat Product Errata RHBA-2021:0510 0 None None None 2021-02-22 13:54:42 UTC

Comment 3 Wei Duan 2021-02-18 05:22:46 UTC
Verified pass on 4.6.0-0.nightly-2021-02-13-034601 (which aligns with the 4.6.18 Candidate nightly)

1. Simulate to get 404 response when check the share type: 
$ manila type-list
/usr/lib/python3.6/site-packages/manilaclient/v1/contrib/list_extensions.py:22: UserWarning: Module manilaclient.v1.contrib.list_extensions is deprecated (taken as a basis for manilaclient.v2.contrib.list_extensions). The preferable way to get a client class or object is to use the manilaclient.client module.
  "Module manilaclient.v1.contrib.list_extensions is deprecated "
ERROR: Not Found (HTTP 404) (Request-ID: req-e5345caf-5549-4625-bb83-5c01841f7365)

2. Check the manila csi driver and CSO:
  $ oc get co storage -o yaml
  - lastTransitionTime: "2021-02-18T04:13:14Z"
    message: 'ManilaCSIDriverOperatorCRAvailable: CSI driver for Manila is disabled:
      Cannot find API to fetch Manila share types'
    reason: AsExpected
    status: "True"
    type: Available


  $ oc get co storage
  NAME      VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
  storage   4.6.0-0.nightly-2021-02-13-034601   True        False         False      66m

I changed the status to VERIFIED

Comment 5 errata-xmlrpc 2021-02-22 13:54:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0510


Note You need to log in before you can comment on or make changes to this bug.